'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _styled = require('styled-components');
var React = require('react');
var index = require('./index-10fd7a13.js');
var Spacer = require('./Spacer.js');
var Theme = require('./Theme.js');
var IconThickCross = require('./IconThickCross.js');
var IconInfo = require('./IconInfo.js');
var textStyles = require('./text-styles.js');
var constants = require('./constants.js');
require('./index-daca4eba.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./IconPropTypes-34696f50.js');
require('./index-d885743c.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function useModeColor(mode) {
  const theme = Theme.useTheme();

  if (mode === 'error') {
    return `linear-gradient(270deg, #1B2331 36.46%, #3F0B0B 100%)`;
  }

  if (mode === 'warning') {
    return `linear-gradient(270deg, ${theme.surface} 36.46%, #816110 100%)`;
  }

  if (mode === 'info') {
    return `linear-gradient(270deg, ${theme.surface} 36.46%, #104A64 100%)`;
  }

  return `background: ${theme.surface}`;
}

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Banner___StyledDiv",
  componentId: "sc-18dlyao-0"
})(["width:100%;min-height:", ";background:", ";display:grid;grid-template-columns:", ";padding:", "px ", "px;padding-left:0;border-radius:", "px;"], p => p._css, p => p._css2, p => p._css3, p => p._css4, p => p._css5, constants.RADIUS);

var _StyledDiv2 = _styled__default['default']("div").withConfig({
  displayName: "Banner___StyledDiv2",
  componentId: "sc-18dlyao-1"
})(["width:", "px;height:100%;display:flex;justify-content:center;align-items:center;"], p => p._css6);

var _StyledDiv3 = _styled__default['default']("div").withConfig({
  displayName: "Banner___StyledDiv3",
  componentId: "sc-18dlyao-2"
})(["background:", ";width:", "px;height:", "px;border-radius:50% 50%;display:flex;justify-content:center;align-items:center;"], p => p._css7, p => p._css8, p => p._css9);

var _StyledDiv4 = _styled__default['default']("div").withConfig({
  displayName: "Banner___StyledDiv4",
  componentId: "sc-18dlyao-3"
})(["width:100%;height:100%;display:flex;flex-direction:column;"]);

var _StyledH = _styled__default['default']("h2").withConfig({
  displayName: "Banner___StyledH",
  componentId: "sc-18dlyao-4"
})(["", " font-weight:bold;color:", ";"], p => p._css10, p => p._css11);

var _StyledP = _styled__default['default']("p").withConfig({
  displayName: "Banner___StyledP",
  componentId: "sc-18dlyao-5"
})(["", ""], p => p._css12);

function Banner({
  children,
  mode = 'info',
  title
}) {
  const modeBackground = useModeColor(mode);
  const {
    within
  } = index.me();
  const theme = Theme.useTheme();
  const titleColor = React.useMemo(() => {
    if (mode === 'error') {
      return theme.negative;
    }

    if (mode === 'info') {
      return theme.accentAlternative;
    }

    if (mode === 'warning') {
      return theme.yellow;
    }
  }, [mode, theme]);
  const modeIcon = React.useMemo(() => {
    if (mode === 'error') {
      return /*#__PURE__*/React__default['default'].createElement(IconThickCross['default'], {
        size: "mini"
      });
    }

    if (mode === 'info') {
      return /*#__PURE__*/React__default['default'].createElement(IconInfo['default'], {
        size: "mini"
      });
    }

    if (mode === 'warning') {
      return /*#__PURE__*/React__default['default'].createElement(IconInfo['default'], {
        size: "mini"
      });
    }
  }, [mode]);
  const compactMode = within(-1, 'medium');
  return /*#__PURE__*/React__default['default'].createElement(_StyledDiv, {
    _css: 25 * constants.GU,
    _css2: modeBackground,
    _css3: compactMode ? '1fr' : `${12 * constants.GU}px 1fr`,
    _css4: 3 * constants.GU,
    _css5: 4 * constants.GU
  }, !compactMode && /*#__PURE__*/React__default['default'].createElement(_StyledDiv2, {
    _css6: 12 * constants.GU
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv3, {
    _css7: titleColor,
    _css8: 4 * constants.GU,
    _css9: 4 * constants.GU
  }, modeIcon)), /*#__PURE__*/React__default['default'].createElement(_StyledDiv4, null, /*#__PURE__*/React__default['default'].createElement(_StyledH, {
    _css10: textStyles.textStyle('title3'),
    _css11: titleColor
  }, title), /*#__PURE__*/React__default['default'].createElement(Spacer['default'], {
    size: 2 * constants.GU
  }), /*#__PURE__*/React__default['default'].createElement(_StyledP, {
    _css12: textStyles.textStyle('body3')
  }, children)));
}

exports.default = Banner;
//# sourceMappingURL=Banner.js.map
