'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var _styled = require('styled-components');
var React = require('react');
var index$1 = require('./index-daca4eba.js');
var index = require('./index-d885743c.js');
var Layout = require('./Layout.js');
var Theme = require('./Theme.js');
var constants = require('./constants.js');
var textStyles = require('./text-styles.js');
require('./index-10fd7a13.js');
require('./breakpoints.js');
require('./css.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Box___StyledDiv",
  componentId: "w2ziiv-0"
})(["position:relative;border-radius:", "px;border-style:solid;border-width:0px;color:", ";& + &{margin-top:", "px;}"], p => p._css, p => p._css2, p => p._css3);

var _StyledH = _styled__default['default']("h1").withConfig({
  displayName: "Box___StyledH",
  componentId: "w2ziiv-1"
})(["display:flex;align-items:center;height:", "px;padding:0 ", "px;border-bottom:1px solid ", ";color:", ";", ";"], p => p._css4, p => p._css5, p => p._css6, p => p._css7, p => p._css8);

var _StyledDiv2 = _styled__default['default']("div").withConfig({
  displayName: "Box___StyledDiv2",
  componentId: "w2ziiv-2"
})(["padding:", "px;"], p => p._css9);

function Box({
  heading,
  children,
  padding,
  ...props
}) {
  const theme = Theme.useTheme();
  const [insideSplitPrimary] = index.o('Split:primary');
  const {
    layoutName
  } = Layout.useLayout();
  const fullWidth = layoutName === 'small';
  const defaultPadding = (fullWidth ? 2 : insideSplitPrimary ? 5 : 3) * constants.GU;
  const contentPadding = padding === undefined ? defaultPadding : padding;
  return /*#__PURE__*/React__default['default'].createElement(index.i, {
    name: "Box"
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv, _extends._extends({
    as: heading ? 'section' : 'div'
  }, props, {
    _css: fullWidth ? 0 : constants.RADIUS,
    _css2: theme.surfaceContent,
    _css3: 2 * constants.GU
  }), heading && /*#__PURE__*/React__default['default'].createElement(_StyledH, {
    _css4: 4 * constants.GU,
    _css5: defaultPadding,
    _css6: theme.tableBorder,
    _css7: theme.surfaceContentSecondary,
    _css8: textStyles.textStyle('label2')
  }, /*#__PURE__*/React__default['default'].createElement(index.i, {
    name: "Box:heading"
  }, heading)), /*#__PURE__*/React__default['default'].createElement(_StyledDiv2, {
    _css9: contentPadding
  }, /*#__PURE__*/React__default['default'].createElement("div", null, /*#__PURE__*/React__default['default'].createElement(index.i, {
    name: "Box:content"
  }, children)))));
}

Box.propTypes = {
  heading: index$1.propTypes.node,
  children: index$1.propTypes.node,
  padding: index$1.propTypes.oneOfType([index$1.propTypes.number])
};

exports.default = Box;
//# sourceMappingURL=Box.js.map
