'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _styled = require('styled-components');
var React = require('react');
var index$1 = require('./index-daca4eba.js');
var index = require('./index-d885743c.js');
var DiscButton = require('./DiscButton.js');
var Popover = require('./Popover.js');
var Theme = require('./Theme.js');
var IconQuestion = require('./IconQuestion.js');
var constants = require('./constants.js');
var textStyles = require('./text-styles.js');
require('./extends-dcc897fe.js');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./keycodes.js');
require('./css.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./font.js');
require('./web-15d19f8b.js');
require('react-dom');
require('./prop-types-d00b0193.js');
require('./RootPortal.js');
require('./Root.js');
require('./components.js');
require('./springs.js');
require('./IconPropTypes-34696f50.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _StyledDiscButton = _styled__default['default'](DiscButton['default']).withConfig({
  displayName: "Help___StyledDiscButton",
  componentId: "frwolf-0"
})(["margin-top:", "px;margin-left:", "px;"], p => p._css, p => p._css2);

var _StyledPopover = _styled__default['default'](Popover['default']).withConfig({
  displayName: "Help___StyledPopover",
  componentId: "frwolf-1"
})(["border:0;", ";background:white;color:", ";"], p => p._css3, p => p._css4);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Help___StyledDiv",
  componentId: "frwolf-2"
})(["position:relative;max-width:", "px;padding:", "px;"], p => p._css5, p => p._css6);

function Help({
  hint,
  placement,
  children
}) {
  const buttonElement = React.useRef();
  const [visible, setVisible] = React.useState(false);
  const open = React.useCallback(() => setVisible(true), []);
  const close = React.useCallback(() => setVisible(false), []);
  const theme = Theme.useTheme();
  const [insideBoxHeading] = index.o('Box:heading');
  const [insideFieldLabel] = index.o('Field:label');
  return /*#__PURE__*/React__default['default'].createElement(React__default['default'].Fragment, null, /*#__PURE__*/React__default['default'].createElement(_StyledDiscButton, {
    ref: buttonElement,
    description: hint,
    onClick: open,
    size: 1.5 * constants.GU,
    _css: insideFieldLabel ? -3 : 0,
    _css2: insideBoxHeading || insideFieldLabel ? 1 * constants.GU : 0
  }, /*#__PURE__*/React__default['default'].createElement(IconQuestion['default'], {
    size: "tiny"
  })), /*#__PURE__*/React__default['default'].createElement(_StyledPopover, {
    opener: buttonElement.current,
    visible: visible,
    onClose: close,
    placement: placement,
    _css3: textStyles.textStyle('body3'),
    _css4: theme.contentInverted
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv, {
    _css5: 48 * constants.GU,
    _css6: 2 * constants.GU
  }, children)));
}

Help.propTypes = {
  hint: index$1.propTypes.string.isRequired,
  placement: index$1.propTypes.oneOf(['center'].concat(...['auto', 'top', 'right', 'bottom', 'left'].map(position => [position, `${position}-start`, `${position}-end`]))),
  children: index$1.propTypes.node.isRequired
};

exports.default = Help;
//# sourceMappingURL=Help.js.map
