'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var _styled = require('styled-components');
var React = require('react');
var index$1 = require('./index-daca4eba.js');
var index = require('./index-10fd7a13.js');
var web = require('./web-15d19f8b.js');
var ButtonIcon = require('./ButtonIcon.js');
var EscapeOutside = require('./EscapeOutside.js');
var RootPortal = require('./RootPortal.js');
var Theme = require('./Theme.js');
var IconCross = require('./IconCross.js');
var springs = require('./springs.js');
var css = require('./css.js');
var constants = require('./constants.js');
var miscellaneous = require('./miscellaneous.js');
require('react-dom');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./keycodes.js');
require('./text-styles.js');
require('./font.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./color.js');
require('./Root.js');
require('./IconPropTypes-34696f50.js');
require('./index-d885743c.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const SPACE_AROUND = 4 * constants.GU;

var _StyledAnimatedDiv = _styled__default['default'](web.extendedAnimated.div).withConfig({
  displayName: "Modal___StyledAnimatedDiv",
  componentId: "sc-13ff8uc-0"
})(["position:fixed;top:0;left:0;right:0;bottom:0;background:", ";"], p => p._css);

var _StyledAnimatedDiv2 = _styled__default['default'](web.extendedAnimated.div).withConfig({
  displayName: "Modal___StyledAnimatedDiv2",
  componentId: "sc-13ff8uc-1"
})(["position:absolute;z-index:1;top:0;left:0;right:0;bottom:0;display:grid;align-items:center;justify-content:center;overflow:auto;"]);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Modal___StyledDiv",
  componentId: "sc-13ff8uc-2"
})(["padding:", "px 0;"], SPACE_AROUND);

var _StyledEscapeOutside = _styled__default['default'](EscapeOutside['default']).withConfig({
  displayName: "Modal___StyledEscapeOutside",
  componentId: "sc-13ff8uc-3"
})(["position:relative;overflow:hidden;min-width:", "px;background:", ";box-shadow:0 10px 28px rgba(0,0,0,0.15);"], p => p._css2, p => p._css3);

var _StyledButtonIcon = _styled__default['default'](ButtonIcon['default']).withConfig({
  displayName: "Modal___StyledButtonIcon",
  componentId: "sc-13ff8uc-4"
})(["position:absolute;z-index:2;top:", "px;right:", "px;"], p => p._css4, p => p._css5);

var _StyledDiv2 = _styled__default['default']("div").withConfig({
  displayName: "Modal___StyledDiv2",
  componentId: "sc-13ff8uc-5"
})(["position:relative;z-index:1;"]);

function Modal({
  children,
  onClose,
  onClosed,
  padding,
  visible,
  width,
  closeButton,
  ...props
}) {
  const theme = Theme.useTheme();
  const viewport = index.me();
  return /*#__PURE__*/React__default['default'].createElement(RootPortal['default'], null, /*#__PURE__*/React__default['default'].createElement(web.Transition, {
    native: true,
    items: visible,
    from: {
      opacity: 0,
      scale: 0.98
    },
    enter: {
      opacity: 1,
      scale: 1
    },
    leave: {
      opacity: 0,
      scale: 0.98
    },
    config: { ...springs.springs.smooth,
      precision: 0.001
    },
    onDestroyed: destroyed => {
      destroyed && onClosed();
    }
  }, show => show && (
  /* eslint-disable react/prop-types */
  ({
    opacity,
    scale
  }) => /*#__PURE__*/React__default['default'].createElement(_StyledAnimatedDiv, _extends._extends({
    style: {
      opacity
    }
  }, props, {
    _css: theme.overlay.alpha(0.9)
  }), /*#__PURE__*/React__default['default'].createElement(_StyledAnimatedDiv2, {
    style: {
      pointerEvents: visible ? 'auto' : 'none',
      transform: scale.interpolate(v => `scale3d(${v}, ${v}, 1)`)
    }
  }, /*#__PURE__*/React__default['default'].createElement(_StyledDiv, null, /*#__PURE__*/React__default['default'].createElement(_StyledEscapeOutside, {
    role: "alertdialog",
    useCapture: true,
    background: theme.surface,
    onEscapeOutside: onClose,
    style: {
      width: css.cssPx(typeof width === 'function' ? width(viewport) : width),
      borderRadius: `${constants.RADIUS}px`
    },
    _css2: 360 - SPACE_AROUND * 2,
    _css3: theme.surface
  }, closeButton && /*#__PURE__*/React__default['default'].createElement(_StyledButtonIcon, {
    label: "Close",
    onClick: onClose,
    _css4: 2 * constants.GU,
    _css5: 2 * constants.GU
  }, /*#__PURE__*/React__default['default'].createElement(IconCross['default'], null)), /*#__PURE__*/React__default['default'].createElement(_StyledDiv2, {
    style: {
      padding: css.cssPx(typeof padding === 'function' ? padding(viewport) : padding)
    }
  }, children))))))
  /* eslint-enable react/prop-types */
  ));
}

Modal.propTypes = {
  children: index$1.propTypes.node.isRequired,
  closeButton: index$1.propTypes.bool,
  onClose: index$1.propTypes.func,
  onClosed: index$1.propTypes.func,
  padding: index$1.propTypes.oneOfType([index$1.propTypes.func, index$1.propTypes.number, index$1.propTypes.string]),
  visible: index$1.propTypes.bool.isRequired,
  width: index$1.propTypes.oneOfType([index$1.propTypes.func, index$1.propTypes.number, index$1.propTypes.string])
};
Modal.defaultProps = {
  closeButton: true,
  onClose: miscellaneous.noop,
  onClosed: miscellaneous.noop,
  padding: 3 * constants.GU,
  width: viewport => Math.min(viewport.width - SPACE_AROUND * 2, 600)
};

exports.default = Modal;
//# sourceMappingURL=Modal.js.map
