'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var _styled = require('styled-components');
var React = require('react');
var index = require('./index-daca4eba.js');
var PaginationItem = require('./PaginationItem.js');
var paginationSeparator = require('./paginationSeparator.js');
var constants = require('./constants.js');
var miscellaneous = require('./miscellaneous.js');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-74f274e0.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./color.js');
require('./keycodes.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');
require('./IconEllipsis.js');
require('./IconPropTypes-34696f50.js');
require('./index-d885743c.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function paginationItems(pages, selected) {
  const all = [...Array(pages)].map((_, i) => i);

  if (all.length < 6) {
    return all;
  }

  const first = 0;
  const last = all.length - 1;
  const prev = Math.min(all.length, Math.max(0, selected - 1));
  const next = Math.min(all.length, Math.max(0, selected + 1));
  const items = []; // Selected item + previous + next

  items.push(...all.slice(prev, next + 1)); // Display three items, even if the first / last one is selected

  if (selected === last) {
    items.unshift(last - 2);
  }

  if (selected === first) {
    items.push(first + 2);
  } // Ellipsises


  if (prev > first + 1) {
    items.unshift(-1);
  }

  if (next < last - 1) {
    items.push(-1);
  } // Always display the first & last items


  if (prev >= first + 1) {
    items.unshift(all[0]);
  }

  if (next <= last - 1) {
    items.push(all[all.length - 1]);
  }

  return items;
}

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "Pagination___StyledDiv",
  componentId: "sc-3vdf00-0"
})(["display:flex;align-items:center;justify-content:center;padding:", "px 0;& > div + div{margin-left:", "px;}"], p => p._css, p => p._css2);

const Pagination = /*#__PURE__*/React__default['default'].memo(function Pagination({
  pages,
  selected,
  onChange,
  touchMode,
  ...props
}) {
  const items = paginationItems(pages, selected);
  return /*#__PURE__*/React__default['default'].createElement(_StyledDiv, _extends._extends({}, props, {
    _css: 2 * constants.GU,
    _css2: 1 * constants.GU
  }), items.map((pageIndex, i) => pageIndex === -1 ? /*#__PURE__*/React__default['default'].createElement(paginationSeparator.PaginationSeparator, {
    key: `separator-${i}`
  }) : /*#__PURE__*/React__default['default'].createElement(PaginationItem.PaginationItem, {
    key: pageIndex,
    index: pageIndex,
    selected: selected === pageIndex,
    onChange: onChange,
    touchMode: touchMode
  })));
});
Pagination.propTypes = {
  onChange: index.propTypes.func,
  pages: index.propTypes.number,
  selected: index.propTypes.number,
  touchMode: index.propTypes.bool
};
Pagination.defaultProps = {
  onChange: miscellaneous.noop,
  pages: 0,
  selected: 0,
  touchMode: false
};

exports.default = Pagination;
//# sourceMappingURL=Pagination.js.map
