'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-dcc897fe.js');
var _styled = require('styled-components');
var React = require('react');
var propTypes = require('./prop-types-d00b0193.js');
var Theme = require('./Theme.js');
var constants = require('./constants.js');
require('./index-daca4eba.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var _StyledDiv = _styled__default['default']("div").withConfig({
  displayName: "TableCell___StyledDiv",
  componentId: "sc-1mxjwwk-0"
})(["display:flex;align-items:center;justify-content:", ";"], p => p._css);

function ContentContainerDefault({
  align,
  ...props
}) {
  return /*#__PURE__*/React__default['default'].createElement(_StyledDiv, _extends._extends({}, props, {
    _css: align === 'right' ? 'flex-end' : 'space-between'
  }));
}

ContentContainerDefault.propTypes = {
  align: propTypes.ExtendedPropTypes.string
};

var _StyledTd = _styled__default['default']("td").withConfig({
  displayName: "TableCell___StyledTd",
  componentId: "sc-1mxjwwk-1"
})(["padding:", "px;background:", ";text-align:", ";"], p => p._css2, p => p._css3, p => p._css4);

function TableCell({
  children,
  contentContainer: Container,
  align,
  ...props
}) {
  const theme = Theme.useTheme();
  return /*#__PURE__*/React__default['default'].createElement(_StyledTd, _extends._extends({}, props, {
    _css2: 2.5 * constants.GU,
    _css3: theme.surface,
    _css4: align
  }), /*#__PURE__*/React__default['default'].createElement(Container, {
    align: align
  }, children));
}

TableCell.propTypes = {
  align: propTypes.ExtendedPropTypes.string,
  contentContainer: propTypes.ExtendedPropTypes._component,
  children: propTypes.ExtendedPropTypes.node
};
TableCell.defaultProps = {
  align: 'left',
  contentContainer: ContentContainerDefault
}; // Compatibility (not sure this is used at all?)

exports.StyledTableCellContent = ContentContainerDefault;
exports.default = TableCell;
//# sourceMappingURL=TableCell.js.map
