import React from 'react';
import propTypes from '../../../node_modules/prop-types/index.js';
import { ViewportProvider as de } from '../../../node_modules/use-viewport/dist/index.js';
import BaseStyles from '../BaseStyles/BaseStyles.js';
import ToastHubProvider from '../ToastHub/ToastHub.js';
import { Root } from '../Root/Root.js';
import { Theme } from '../../theme/Theme2.js';

function Main({
  children,
  theme = 'dark'
}) {
  return /*#__PURE__*/React.createElement(Root.Provider, null, /*#__PURE__*/React.createElement(BaseStyles, null), /*#__PURE__*/React.createElement(Theme, {
    theme: theme
  }, /*#__PURE__*/React.createElement(de, null, /*#__PURE__*/React.createElement(ToastHubProvider, null, children))));
}
Main.propTypes = {
  children: propTypes.node,
  theme: propTypes.string
};

export default Main;
//# sourceMappingURL=Main.js.map
