import _extends from '../../../node_modules/@babel/runtime/helpers/extends.js';
import _styled from 'styled-components';
import React from 'react';
import propTypes from '../../../node_modules/prop-types/index.js';
import { Inside as i } from '../../../node_modules/use-inside/dist/index.js';
import { useViewport as me } from '../../../node_modules/use-viewport/dist/index.js';
import { GU } from '../../style/constants.js';

var _StyledDiv = _styled("div").withConfig({
  displayName: "Split___StyledDiv",
  componentId: "sc-15h5hna-0"
})(["flex-grow:1;margin-left:", "px;padding-top:", "px;"], p => p._css, p => p._css2);

var _StyledDiv2 = _styled("div").withConfig({
  displayName: "Split___StyledDiv2",
  componentId: "sc-15h5hna-1"
})(["flex-shrink:0;flex-grow:0;width:", ";margin-left:", "px;padding-top:", "px;"], p => p._css3, p => p._css4, p => p._css5);

var _StyledDiv3 = _styled("div").withConfig({
  displayName: "Split___StyledDiv3",
  componentId: "sc-15h5hna-2"
})(["display:", ";width:100%;"], p => p._css6);

function Split({
  primary,
  secondary,
  invert,
  secondaryWidth,
  ...props
}) {
  const {
    within
  } = me();
  const oneColumn = within(-1, 'medium');
  const inverted = !oneColumn && invert === 'horizontal' || oneColumn && invert === 'vertical';
  const primaryContent = /*#__PURE__*/React.createElement(i, {
    name: "Split:primary"
  }, /*#__PURE__*/React.createElement(_StyledDiv, {
    _css: !oneColumn && inverted ? 4 * GU : 0,
    _css2: oneColumn && inverted ? 4 * GU : 0
  }, primary));
  const secondaryContent = /*#__PURE__*/React.createElement(i, {
    name: "Split:secondary"
  }, /*#__PURE__*/React.createElement(_StyledDiv2, {
    _css3: secondaryWidth && !oneColumn ? secondaryWidth : oneColumn ? '100%' : `${46 * GU}px`,
    _css4: !oneColumn && !inverted ? 4 * GU : 0,
    _css5: oneColumn && !inverted ? 4 * GU : 0
  }, secondary));
  return /*#__PURE__*/React.createElement(i, {
    name: "Split"
  }, /*#__PURE__*/React.createElement(_StyledDiv3, _extends({}, props, {
    _css6: oneColumn ? 'block' : 'flex'
  }), inverted ? secondaryContent : primaryContent, inverted ? primaryContent : secondaryContent));
}

Split.propTypes = {
  invert: propTypes.oneOf(['none', 'horizontal', 'vertical']),
  primary: propTypes.node,
  secondary: propTypes.node,
  secondaryWidth: propTypes.string
};
Split.defaultProps = {
  invert: 'none'
};

export default Split;
export { Split };
//# sourceMappingURL=Split.js.map
